/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._ImwTOffice;

public class ImwTOffice extends _ImwTOffice {
  
  public static final String OFFICE_ID_COLUMN = "OFFICE_ID";
  
  public static final String OFFICE_NAME_COLUMN = "OFFICE_NAME";
  
  public static final String DISABLED_COLUMN = "DISABLED";
  
  public static final String CREATE_DATE_COLUMN = "CREATE_DATE";
  
  public static final String CREATE_USER_ID_COLUMN = "CREATE_USER_ID";
  
  public static final String UPDATE_DATE_COLUMN = "UPDATE_DATE";
  
  public static final String UPDATE_USER_ID_COLUMN = "UPDATE_USER_ID";
  
  
  public Integer getOfficeId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(OFFICE_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setOfficeId(int id) {
    setObjectId(new ObjectId("ImwTOffice", OFFICE_ID_PK_COLUMN, id));
  }

  public void setOfficeId(String id) {
    setObjectId(new ObjectId("ImwTOffice", OFFICE_ID_PK_COLUMN, Integer
        .valueOf(id)));
  }
  
}
